> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync from Quickbooks

> Syncs Quickbooks data for a business. This endpoint can be used to manually trigger a sync from Quickbooks.



## OpenAPI

````yaml post /v1/businesses/{businessId}/quickbooks/sync-from
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/quickbooks/sync-from:
    post:
      tags: []
      summary: Sync from Quickbooks
      description: >-
        Syncs Quickbooks data for a business. This endpoint can be used to
        manually trigger a sync from Quickbooks.
      operationId: business.quickbooks.sync-from.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to sync Quickbooks data for.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuickbooksSyncFromParams'
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
        '404':
          description: >-
            Business id is not found or quickbooks is not connected for the
            business.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    QuickbooksSyncFromParams:
      type: object
      properties:
        quickbooks_realm_ids:
          type: array
          items:
            type: string
          description: >-
            List of Quickbooks realm IDs to sync from. If not provided, all
            connected realms will be synced.
    EmptyResponse:
      type: object
      properties:
        type:
          type: string
          description: >-
            Resource type. Value will be
            'com.layerfi.controllers.EmptyResponse'.
          example: '{}'
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````